Get an encrypted record
curl --request GET \
--url https://api.airctrl.dev/v1/records/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.airctrl.dev/v1/records/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.airctrl.dev/v1/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"secret_format": "plain",
"state": "active",
"secret_due_at": "2023-11-07T05:31:56Z",
"rotation_interval_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"rotated_at": "2023-11-07T05:31:56Z",
"dek_version": 2,
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_username": "<string>",
"owner_display_name": "<string>",
"owner_tone": "<string>",
"shared_count": 1,
"caller_has_wrapper": true,
"caller_caps": {
"canUpdate": true,
"canArchive": true,
"canTransfer": true,
"canRotate": true,
"canViewHistory": true,
"canViewSharing": true,
"canViewAudit": true
},
"ciphertext": "<string>",
"cipher_meta": {}
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication is required"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "not_authorized"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "Internal server error"
},
"requestId": "req_example"
}Records
Get an encrypted record
Returns record metadata and encrypted material when the caller has access. Decryption happens in the SDK, CLI or MCP client.
GET
/
records
/
{id}
Get an encrypted record
Authorizations
personal-access-tokenservice-account-token
Human personal access token (sk-actrl-pat-...).